--- include/class.mail_queue.php	2009-01-12 23:15:12.042086912 +0200
+++ /usr/share/eventum/include/class.mail_queue.php	2009-02-05 02:15:18.620863055 +0200
@@ -28,13 +28,6 @@
 //
 
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.lock.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_PEAR_PATH . 'Mail.php');
 
 class Mail_Queue
 {
@@ -81,7 +74,7 @@
         Workflow::modifyMailQueue(Auth::getCurrentProject(), $recipient, $headers, $body, $issue_id, $type, $sender_usr_id, $type_id);
 
         // avoid sending emails out to users with inactive status
-        $recipient_email = Mail_API::getEmailAddress($recipient);
+        $recipient_email = Mail_Helper::getEmailAddress($recipient);
         $usr_id = User::getUserIDByEmail($recipient_email);
         if (!empty($usr_id)) {
             $user_status = User::getStatusByEmail($recipient_email);
@@ -92,14 +85,14 @@
         }
 
         $to_usr_id = User::getUserIDByEmail($recipient_email);
-        $recipient = Mail_API::fixAddressQuoting($recipient);
+        $recipient = Mail_Helper::fixAddressQuoting($recipient);
 
         $reminder_addresses = Reminder::_getReminderAlertAddresses();
 
         // add specialized headers
         if ((!empty($issue_id)) && ((!empty($to_usr_id)) && (User::getRoleByUser($to_usr_id, Issue::getProjectID($issue_id)) != User::getRoleID("Customer"))) ||
-                (@in_array(Mail_API::getEmailAddress($to), $reminder_addresses))) {
-            $headers += Mail_API::getSpecializedHeaders($issue_id, $type, $headers, $sender_usr_id);
+                (@in_array(Mail_Helper::getEmailAddress($to), $reminder_addresses))) {
+            $headers += Mail_Helper::getSpecializedHeaders($issue_id, $type, $headers, $sender_usr_id);
         }
         $headers['precedence'] = 'bulk';
 
@@ -112,12 +105,12 @@
             $headers['Date'] = MIME_Helper::encode(date('D, j M Y H:i:s O'));
         }
         if (!empty($headers['To'])) {
-            $headers['To'] = Mail_API::fixAddressQuoting($headers['To']);
+            $headers['To'] = Mail_Helper::fixAddressQuoting($headers['To']);
         }
         // encode headers and add special mime headers
         $headers = Mime_Helper::encodeHeaders($headers);
 
-        $res = Mail_API::prepareHeaders($headers);
+        $res = Mail_Helper::prepareHeaders($headers);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return $res;
@@ -146,7 +139,7 @@
         }
         $stmt .= ") VALUES (
                     $save_email_copy,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . @$_SERVER['REMOTE_ADDR'] . "',
                     '" . Misc::escapeString($recipient) . "',
                     '" . Misc::escapeString($text_headers) . "',
@@ -161,7 +154,7 @@
             $stmt .= ",\n" . $type_id;
         }
         $stmt .= ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return $res;
@@ -197,7 +190,7 @@
                 Mail_Queue::_saveLog($emails[$i]['id'], 'sent', '');
                 if ($emails[$i]['save_copy']) {
                     // send a copy of this email to eventum_sent@
-                    Mail_API::saveEmailInformation($emails[$i]);
+                    Mail_Helper::saveEmailInformation($emails[$i]);
                 }
             }
         }
@@ -241,7 +234,7 @@
             unset($headers['Mime-Version']);
             $headers['MIME-Version'] = '1.0';
         }
-        $mail =& Mail::factory('smtp', Mail_API::getSMTPSettings());
+        $mail =& Mail::factory('smtp', Mail_Helper::getSMTPSettings());
         $res = $mail->send($recipient, $headers, $body);
         if (PEAR::isError($res)) {
             // special handling of errors when the mail server is down
@@ -299,7 +292,7 @@
                     maq_id ASC
                  LIMIT
                     0, $limit";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -330,11 +323,11 @@
                     mql_server_message
                  ) VALUES (
                     $maq_id,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($status) . "',
                     '" . Misc::escapeString($server_message) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -345,7 +338,7 @@
                         maq_status='" . Misc::escapeString($status) . "'
                      WHERE
                         maq_id=$maq_id";
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
             return true;
         }
     }
@@ -387,7 +380,7 @@
                     maq_iss_id = " . Misc::escapeInteger($issue_id) . "
                  ORDER BY
                     maq_queued_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -395,7 +388,7 @@
         if (count($res) > 0) {
             for ($i = 0; $i < count($res); $i++) {
                 $res[$i]['maq_recipient'] = Mime_Helper::decodeAddress($res[$i]['maq_recipient']);
-                $res[$i]['maq_queued_date'] = Date_API::getFormattedDate(Date_API::getUnixTimestamp($res[$i]['maq_queued_date'], 'GMT'));
+                $res[$i]['maq_queued_date'] = Date_Helper::getFormattedDate(Date_Helper::getUnixTimestamp($res[$i]['maq_queued_date'], 'GMT'));
                 $res[$i]['maq_subject'] = Mime_Helper::fixEncoding($res[$i]['maq_subject']);
             }
         }
@@ -424,7 +417,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "mail_queue
                  WHERE
                     maq_id = " . Misc::escapeInteger($maq_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -447,7 +440,7 @@
                 WHERE
                     maq_type IN('" . join("', '", $types) . "') AND
                     maq_type_id = " . Misc::escapeInteger($type_id);
-        $res = $GLOBALS["db_api"]->dbh->getCol($sql);
+        $res = Db_Helper::getInstance()->getCol($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.mime_helper.php	2009-01-27 11:45:43.136619000 +0200
+++ /usr/share/eventum/include/class.mime_helper.php	2009-02-05 02:15:18.624196789 +0200
@@ -39,8 +39,6 @@
 *
 */
 
-require_once(APP_PEAR_PATH . "Mail/mimeDecode.php");
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to handle the business logic related to the MIME email
@@ -789,7 +787,7 @@
     function splitHeaderBody($message, $unfold = true)
     {
         if (preg_match("/^(.*?)\r?\n\r?\n(.*)/s", $message, $match)) {
-            return array(($unfold) ? Mail_API::unfold($match[1]) : $match[1], $match[2]);
+            return array(($unfold) ? Mail_Helper::unfold($match[1]) : $match[1], $match[2]);
         }
         return array();
     }
--- include/class.misc.php	2009-01-12 23:15:12.032084245 +0200
+++ /usr/share/eventum/include/class.misc.php	2009-02-05 02:04:13.577383996 +0200
@@ -27,8 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to hold methods and algorythms that woudln't fit in other classes, such
@@ -371,7 +369,7 @@
                 $input[$key] = Misc::escapeString($value);
             }
         } else {
-            $input = $GLOBALS["db_api"]->escapeString($input);
+            $input = Db_Helper::escapeString($input);
         }
         return $input;
     }
@@ -556,7 +554,7 @@
     function formatReplyDate($ts)
     {
         // On Fri, 01 Apr 2005, 17:07:44 GMT
-        return Date_API::getFormattedDate($ts);
+        return Date_Helper::getFormattedDate($ts);
     }
 
 
@@ -617,7 +615,6 @@
      */
     function highlightQuotedReply($text)
     {
-        require_once(APP_SMARTY_PATH . "plugins/modifier.highlight_quoted.php");
         return smarty_modifier_highlight_quoted($text);
     }
 
--- include/class.news.php	2009-01-12 23:15:12.085433204 +0200
+++ /usr/share/eventum/include/class.news.php	2009-02-05 02:04:13.580717590 +0200
@@ -55,13 +55,13 @@
                     nws_created_date DESC
                  LIMIT
                     0, 3";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
         } else {
             for ($i = 0; $i < count($res); $i++) {
-                $res[$i]['nws_created_date'] = Date_API::getSimpleDate($res[$i]["nws_created_date"]);
+                $res[$i]['nws_created_date'] = Date_Helper::getSimpleDate($res[$i]["nws_created_date"]);
                 if ((!$show_full_message) && (strlen($res[$i]['nws_message']) > 300)) {
                     $next_space = strpos($res[$i]['nws_message'], ' ', 254);
                     if (empty($next_space)) {
@@ -100,7 +100,7 @@
                     " . Misc::escapeInteger($nws_id) . ",
                     " . Misc::escapeInteger($prj_id) . "
                  )";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -128,12 +128,12 @@
                     nws_status
                  ) VALUES (
                     " . Auth::getUserID() . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Misc::escapeString($_POST["message"]) . "',
                     '" . Misc::escapeString($_POST["status"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -161,7 +161,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  WHERE
                     nws_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -194,7 +194,7 @@
         if ($prj_id) {
             $stmt .= " AND prn_prj_id=" . Misc::escapeInteger($prj_id);
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -226,7 +226,7 @@
                     nws_status='" . Misc::escapeString($_POST["status"]) . "'
                  WHERE
                     nws_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -256,7 +256,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  WHERE
                     nws_id=" . Misc::escapeInteger($nws_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -284,7 +284,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  WHERE
                     nws_id=" . Misc::escapeInteger($nws_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -312,7 +312,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  ORDER BY
                     nws_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -345,7 +345,7 @@
                  WHERE
                     prj_id=prn_prj_id AND
                     prn_nws_id=" . Misc::escapeInteger($nws_id);
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
--- include/class.note.php	2009-01-12 23:15:12.038752480 +0200
+++ /usr/share/eventum/include/class.note.php	2009-02-05 02:15:18.627317367 +0200
@@ -27,16 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.draft.php");
-require_once(APP_INC_PATH . "class.authorized_replier.php");
 
 /**
  * Class to handle the business logic related to adding, updating or
@@ -70,7 +60,7 @@
                     not_removed = 0
                  ORDER BY
                     not_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -111,14 +101,14 @@
                  WHERE
                     not_usr_id=usr_id AND
                     not_id='$note_id'";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
         } else {
             if (count($res) > 0) {
-                $res['timestamp'] = Date_API::getUnixTimestamp($res['not_created_date'], 'GMT');
-                $res['not_created_date'] = Date_API::getFormattedDate($res['not_created_date']);
+                $res['timestamp'] = Date_Helper::getUnixTimestamp($res['not_created_date'], 'GMT');
+                $res['not_created_date'] = Date_Helper::getFormattedDate($res['not_created_date']);
                 if ($res['not_is_blocked'] == 1) {
                     $res['has_blocked_message'] = true;
                 } else {
@@ -163,7 +153,7 @@
                     not_iss_id = " . Misc::escapeInteger($issue_id) . "
                 ORDER BY
                     not_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt,  DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt,  DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -199,7 +189,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_id=$note_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -225,7 +215,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_id=$note_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -257,7 +247,7 @@
                  ORDER BY
                     not_created_date ASC
                 LIMIT " . ($sequence - 1) . ", 1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -282,7 +272,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_id=$note_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -344,7 +334,7 @@
             return -2;
         }
         if (empty($_POST['message_id'])) {
-            $_POST['message_id'] = Mail_API::generateMessageID();
+            $_POST['message_id'] = Mail_Helper::generateMessageID();
         }
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
@@ -374,7 +364,7 @@
                  ) VALUES (
                     $issue_id,
                     $usr_id,
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST["note"]) . "',
                     '" . Misc::escapeString($_POST["title"]) . "'";
         if (!@empty($_POST['full_message'])) {
@@ -395,7 +385,7 @@
         }
         $stmt .= "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -438,7 +428,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -467,7 +457,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_id=$note_id";
-        $details = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $details = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (($details['not_usr_id'] != Auth::getUserID()) && ($details['has_blocked_message'] != 1) && (Auth::getCurrentRole() < User::getRoleID("Manager"))) {
             return -2;
         }
@@ -478,7 +468,7 @@
                     not_removed = 1
                  WHERE
                     not_id=$note_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -489,7 +479,7 @@
                      WHERE
                         iat_not_id=$note_id AND
                         iat_status='internal'";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             }
@@ -533,7 +523,7 @@
                     not_removed = 0
                  ORDER BY
                     not_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -552,7 +542,7 @@
                     $res[$i]["usr_full_name"] = $res[$i]["not_unknown_user"];
                 }
 
-                $res[$i]["not_created_date"] = Date_API::getFormattedDate($res[$i]["not_created_date"]);
+                $res[$i]["not_created_date"] = Date_Helper::getFormattedDate($res[$i]["not_created_date"]);
                 $t[] = $res[$i];
             }
             return $t;
@@ -577,19 +567,19 @@
         $unknown_user = Note::getUnknownUser($note_id);
         $structure = Mime_Helper::decode($blocked_message, true, true);
         $body = $structure->body;
-        $sender_email = strtolower(Mail_API::getEmailAddress($structure->headers['from']));
+        $sender_email = strtolower(Mail_Helper::getEmailAddress($structure->headers['from']));
         if ($target == 'email') {
             if (Mime_Helper::hasAttachments($structure)) {
                 $has_attachments = 1;
             } else {
                 $has_attachments = 0;
             }
-            list($blocked_message, $headers) = Mail_API::rewriteThreadingHeaders($issue_id, $blocked_message, @$structure->headers);
+            list($blocked_message, $headers) = Mail_Helper::rewriteThreadingHeaders($issue_id, $blocked_message, @$structure->headers);
             $t = array(
                 'issue_id'       => $issue_id,
                 'ema_id'         => $email_account_id,
                 'message_id'     => @$structure->headers['message-id'],
-                'date'           => Date_API::getCurrentDateGMT(),
+                'date'           => Date_Helper::getCurrentDateGMT(),
                 'from'           => @$structure->headers['from'],
                 'to'             => @$structure->headers['to'],
                 'cc'             => @$structure->headers['cc'],
@@ -678,7 +668,7 @@
                     not_created_date BETWEEN '$start' AND '$end' AND
                     not_usr_id = $usr_id AND
                     not_removed = 0";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -703,7 +693,7 @@
                     not_has_attachment=1
                  WHERE
                     not_id=$note_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -729,7 +719,7 @@
                  WHERE
                     not_iss_id=$issue_id AND
                     not_removed = 0";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -755,7 +745,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_message_id='" . Misc::escapeString($message_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -782,7 +772,7 @@
                 WHERE
                     parent.not_id = child.not_parent_id AND
                     child.not_message_id = '" . Misc::escapeString($msg_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -812,7 +802,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_message_id='" . Misc::escapeString($message_id) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -842,7 +832,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "note
                  WHERE
                     not_id=" . Misc::escapeInteger($id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
